#pragma once

#include "driverlib.h"
#include "device.h"
#include "usblib/usblib.h"
#include "usblib/usblibpriv.h"
#include "usblib/usbdevice.h"

// Define to pass to SysCtl_setAuxClock(). Will configure the clock as follows:
// AUXPLLCLK =
//       10MHz (XTAL_OSC) * 12 (IMULT) / (2 (SYSDIV) )
//
#define DEVICE_AUXSETCLOCK_CFG_USB   (SYSCTL_OSCSRC_XTAL | SYSCTL_PLL_ENABLE |\
                                      SYSCTL_IMULT(12) | SYSCTL_SYSDIV(2))

void USBGPIOEnable();
void CPUTimerInit();
void USBDelay(uint32_t ui32Delay);
void f28x_USB0DeviceIntHandler();
